<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>COMMANDE({{ order.reference }})</title>
</head>
<body>

<style>
    .border-bottom td {
        border-bottom: 1px solid black;
    }

    table {
        width: 100%
    }

    .m-t-b-100 {
        margin: 100px 0;
    }

    .grey {
        background-color: lightgrey;
    }

    .total {
        float: right;
        width: 50%;
        margin-top: 100px;
    }

    .b-grey {
        border: 2px solid darkgrey;
    }

    .align-left {
        text-align: left;
    }

    .title-container {
        width: 100%;
        height: 150px;
        position: relative
    }

    .title-container div {
        position: absolute;
        width: 50%
    }
</style>
<div class="title-container">
    <div style="left:0">
        <img width="100px" src="{{ image }}" alt="">
    </div>
    <div style="right:0">
        <h3 style="text-align: center">COMMANDE({{ order.reference }})</h3>
    </div>
</div>
<table class="address-table m-t-b-100">
    <thead>
    <tr style="color:darkgrey">
        <th class="align-left" scope="col">Adresse de facturation</th>
        <th class="align-left" scope="col">Adresse de livraison</th>
        <th class="align-left" scope="col">A l'attention de :</th>
    </tr>
    </thead>
    <tbody>
    <tr>
        <td>
            {% if order.companyAddress %}
                {{ order.companyAddress.firstname }}
                {{ order.companyAddress.lastname }}
            {% endif %}
        </td>
        <td>
            {% if order.invoiceAddress %}
                {{ order.invoiceAddress.firstname }}
                {{ order.invoiceAddress.lastname }}
            {% endif %}
        </td>
        <td>
            {{ order.supplier.name }}
        </td>
    </tr>
    <tr>
        <td>
            {% if order.companyAddress %}
                {{ order.companyAddress.alias }}
            {% endif %}
        </td>
        <td>
            {% if order.invoiceAddress %}
                {{ order.invoiceAddress.alias }}
            {% endif %}
        </td>
        <td>
            {{ order.supplier.description }}
        </td>
    </tr>
    <tr>
        <td>
            {% if order.companyAddress %}
                {{ order.companyAddress.address1 }}
            {% endif %}
        </td>
        <td>
            {% if order.invoiceAddress %}
                {{ order.invoiceAddress.address1 }}
            {% endif %}
        </td>
        <td>
            {# {{ order.supplier.address1 }} #}
        </td>
    </tr>

    <tr>
        <td>
            {% if order.companyAddress %}
                {{ order.companyAddress.address2 }}
            {% endif %}

        </td>
        <td>
            {% if order.invoiceAddress %}
                {{ order.invoiceAddress.address2 }}
            {% endif %}
        </td>
        <td>
            {# {{ order.supplier.address2 }} #}
        </td>
    </tr>
    <tr>
        <td>
            {% if order.companyAddress %}
                {{ order.companyAddress.postcode }}
                {{ order.companyAddress.city }}
            {% endif %}

        </td>
        <td>
            {% if order.invoiceAddress %}
                {{ order.invoiceAddress.postcode }}
                {{ order.invoiceAddress.city }}
            {% endif %}

        </td>
        {# <th> #}
        {# {{ order.supplier.postcode }} #}
        {# {{ order.supplier.city }} #}
        {# </th> #}
    </tr>
    <tr>
        <td>
            {% if order.companyAddress %}
                {{ order.companyAddress.phone }}
            {% endif %}

        </td>
        <td>
            {% if order.invoiceAddress %}
                {{ order.invoiceAddress.phone }}
            {% endif %}
        </td>
        <td>
            {# {{ order.supplier.phone }} #}
        </td>
    </tr>
    <tr>
        <td>
            {# {{ order.companyAddress.email }} #}
        </td>
        <td>
            {# {{ order.invoiceAddress.email }} #}
        </td>
        <td>
            {{ order.supplier.email }}
        </td>
    </tr>

    </tbody>
</table>

<table>
    <thead>
    <tr>
        <th class="grey" scope="col">Numéro de commande</th>
        <th class="grey" scope="col">Date de commande</th>
    </tr>
    </thead>
    <tbody>
    <tr>
        <td>
            {{ order.reference }}
        </td>
        <td>
            {{ order.date|date("m/d/Y") }}
        </td>
    </tr>
    </tbody>
</table>
<table class="m-t-b-100">
    <thead>
    <tr>
        <th class="grey" scope="col">Référence</th>
        <th class="grey" scope="col">Description</th>
        <th class="grey" scope="col">Prix HT</th>
        <th class="grey" scope="col">Qté</th>
        <th class="grey" scope="col">Total</th>
    </tr>
    </thead>
    <tbody>
    {% for orderProduct in order.prestashopOrderDetails %}
        {% set product = orderProduct.product?orderProduct.product:orderProduct.offlineProduct %}
        <tr class="border-bottom">
            <td>{{ product.reference }}</td>
            <td>{{ product.name }}</td>
            <td>{{ product.wholesalePrice }}</td>
            <td>{{ orderProduct.quantity }}</td>
            <td>{{ orderProduct.price }}</td>

        </tr>
    {% endfor %}
    </tbody>
</table>

<table class="total">
    <thead>
    <tr>
        <th class="grey">Total</th>
        <th class="b-grey">{{ order.price }}</th>
    </tr>
    </thead>
</table>


</body>
</html>
